.modal{
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.4);
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
    transition: 0.5s;
}
.modal.active{
    opacity: 1;
    pointer-events: all;
    
}
.modal__content{
    padding: 20px;
    border-radius: 12px;
    background: white;
    height: 200px;
    width: 400px;
    transform: scale(0.5);
    transition: 0.5s all;
}
.modal__content.active{
    transform: scale(1);
}